const lookbookTheme = require("./theme/theme.json");

module.exports = {
  theme: {
    extend: {
      screens: {
        xs: "480px",
      },
      colors: {
        ...lookbookTheme,
      },
      fontFamily: {
        mono: "'SFMono-Regular', Consolas, 'Liberation Mono', Menlo, Courier, monospace",
        sans: '-apple-system, ".SFNSText-Regular", "San Francisco", BlinkMacSystemFont, "Segoe UI", "Helvetica Neue", Helvetica, Arial, sans-serif',
      },
    },
  },
  plugins: [require("@tailwindcss/forms"), require("@tailwindcss/typography")],
  content: [
    "./app/views/**/*.html.erb",
    "./app/components/**/*.html.erb",
    "./app/components/**/*.rb",
    "./app/components/**/*.js",
    "./app/assets/**/*.js",
    "./app/controllers/**/*.rb",
    "./spec/components/**/*.rb",
    "./spec/components/**/*.html.erb",
    "./workbench/app/previews/**/*.html.erb",
    "./workbench/app/views/**/*.html.erb",
  ],
  safelist: [
    ".lookbook-panel",
    ".hll",
    ".c",
    ".err",
    ".k",
    ".o",
    ".cm",
    ".cp",
    ".c1",
    ".cs",
    ".gd",
    ".gd .x",
    ".ge",
    ".gr",
    ".gh",
    ".gi",
    ".gi .x",
    ".go",
    ".gp",
    ".gs",
    ".gu",
    ".gt",
    ".kc",
    ".kd",
    ".kn",
    ".kp",
    ".kr",
    ".kt",
    ".m",
    ".s",
    ".n",
    ".na",
    ".nb",
    ".nc",
    ".no",
    ".ni",
    ".ne",
    ".nf",
    ".nn",
    ".nt",
    ".nv",
    ".ow",
    ".w",
    ".mf",
    ".mh",
    ".mi",
    ".mo",
    ".sb",
    ".sc",
    ".sd",
    ".s2",
    ".se",
    ".sh",
    ".si",
    ".sx",
    ".sr",
    ".s1",
    ".ss",
    ".bp",
    ".vc",
    ".vg",
    ".vi",
    ".il",
    ".gc",
  ],
};
